import 'package:flutter/material.dart';

class VideoBrightnessStyle {
  Icon brightnessIcon;
  Size size;
  BorderRadius borderRadius;
  Color backgroundColor;
  TextStyle textStyle;

  VideoBrightnessStyle({
    this.brightnessIcon = const Icon(
      Icons.sunny,
      size: 40.0,
      color: Colors.white,
    ),
    this.size = const Size(80.0, 80.0),
    this.borderRadius = const BorderRadius.all(Radius.circular(6.0)),
    Color? backgroundColor,
    this.textStyle = const TextStyle(fontWeight: FontWeight.normal, fontSize: 12.0, color: Colors.white),
  }) : backgroundColor = backgroundColor ?? Colors.black.withOpacity(0.5);
}
